package com.qmth.sop.business.bean.result.analyze.serviceUnit;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 服务单元概况
 * @Author: CaoZixuan
 * @Date: 2023-11-18
 */
public class ServiceUnitOverview {
    @ApiModelProperty("项目执行进度")
    private BigDecimal projectProgress;

    @ApiModelProperty("设备出库总量")
    private Integer equipmentOutboundTotal;

    @ApiModelProperty("设备占用率")
    private BigDecimal equipmentOccupancyRate;

    @ApiModelProperty("在服务人员总数")
    private Integer servicePersonnelTotal;

    @ApiModelProperty("现场人员占用率")
    private BigDecimal sitePersonnelOccupancyRate;

    public BigDecimal getProjectProgress() {
        return projectProgress;
    }

    public void setProjectProgress(BigDecimal projectProgress) {
        this.projectProgress = projectProgress;
    }

    public Integer getEquipmentOutboundTotal() {
        return equipmentOutboundTotal;
    }

    public void setEquipmentOutboundTotal(Integer equipmentOutboundTotal) {
        this.equipmentOutboundTotal = equipmentOutboundTotal;
    }

    public BigDecimal getEquipmentOccupancyRate() {
        return equipmentOccupancyRate;
    }

    public void setEquipmentOccupancyRate(BigDecimal equipmentOccupancyRate) {
        this.equipmentOccupancyRate = equipmentOccupancyRate;
    }

    public Integer getServicePersonnelTotal() {
        return servicePersonnelTotal;
    }

    public void setServicePersonnelTotal(Integer servicePersonnelTotal) {
        this.servicePersonnelTotal = servicePersonnelTotal;
    }

    public BigDecimal getSitePersonnelOccupancyRate() {
        return sitePersonnelOccupancyRate;
    }

    public void setSitePersonnelOccupancyRate(BigDecimal sitePersonnelOccupancyRate) {
        this.sitePersonnelOccupancyRate = sitePersonnelOccupancyRate;
    }
}
